Piloterr

Amazon Product

Efficiently extract product details from Amazon for dynamic retail insights, including price, stock, features, and seller data.

Credit cost: 1 credit per call

GET
/v2/amazon/product

Authorization

ApiKeyAuth
x-api-key<token>

Your API key. Include it in the x-api-key header for every request.

In: header

Query Parameters

query*string

Amazon product ASIN (Amazon Standard Identification Number) to retrieve full product details for.

Example:

B09DFCB66S

Notes:

  • The ASIN is a 10-character alphanumeric code found in the Amazon product URL (e.g. amazon.com/dp/B09DFCB66S).
  • Each ASIN is unique to a specific product and marketplace.
domain?string

Amazon domain extension to query. Controls which Amazon marketplace is targeted.

  • com: Amazon United States (default)
  • fr: Amazon France
  • de: Amazon Germany
  • co.uk: Amazon United Kingdom
  • it: Amazon Italy
  • es: Amazon Spain
  • ca: Amazon Canada
  • co.jp: Amazon Japan
  • com.br: Amazon Brazil
  • com.mx: Amazon Mexico
  • in: Amazon India
Default"com"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.piloterr.com/v2/amazon/product?query=string"
{
  "url": "https://www.amazon.com/dp/B09DFCB66S",
  "asin": "B09DFCB66S",
  "image": "https://m.media-amazon.com/images/I/51051FiD9UL._SX522_.jpg",
  "price": null,
  "stock": "Only 5 left in stock - order soon.",
  "title": "PlayStation PS5 HW 1115 STANDARD_US - PlayStation 5",
  "coupon": null,
  "images": [
    {
      "url": "https://m.media-amazon.com/images/I/51051FiD9UL._SX342_.jpg",
      "type": "main",
      "width": 167,
      "height": 342
    },
    {
      "url": "https://m.media-amazon.com/images/I/51051FiD9UL._SX522_.jpg",
      "type": "main",
      "width": 256,
      "height": 522
    }
  ],
  "currency": null,
  "features": [
    "Stunning Games - Marvel at incredible graphics and experience new PS5 features.",
    "Breathtaking Immersion - Discover a deeper gaming experience with support for haptic feedback, adaptive triggers, and 3D Audio technology.",
    "Lightning Speed - Harness the power of a custom CPU, GPU, and SSD with Integrated I/O that rewrite the rules of what a PlayStation console can do.",
    "Model Number CFI-1102A"
  ],
  "variants": [],
  "description": "The PS5 console unleashes new gaming possibilities that you never anticipated. Experience lightning fast loading with an ultra-high speed SSD, deeper immersion with support for haptic feedback, adaptive triggers, and 3D Audio, and an all-new generation of incredible PlayStation games.",
  "product_information": {
    "asin": "B09DFCB66S",
    "rated": "Rating Pending",
    "batteries": "1 Lithium Ion batteries required. (included)",
    "item_weight": "15.17 pounds",
    "manufacturer": "Sony",
    "release_date": "October 22, 2021",
    "type_of_item": "Video Game",
    "best_sellers_rank": [
      "#30,675 in Video Games (See Top 100 in Video Games)",
      "#95 in PlayStation 5 Consoles"
    ],
    "item_model_number": "Internacional",
    "product_dimensions": "18 x 18 x 12 inches; 15.17 Pounds",
    "date_first_available": "June 21, 2021"
  },
  "merchant_information": null
}
{
  "error": "Bad Request"
}
{
  "error": "Invalid API Key"
}
{
  "error": "Payment required"
}
{
  "error": "Rate limit exceeded for the API key: quota monthly"
}
{
  "error": "Internal Error"
}